{
  name,
  lib,
  ...
}: {
  programs.chromium = {
    enable = true;
    extensions =
      [
        #undetectable adblocker
        {id = "gcfcpohokifjldeandkfjoboemihipmb";}

        # ublock origin
        {id = "cjpalhdlnbpafiamejdnhcphjbkeiagm";}

        # # YT ad block
        # {id = "cmedhionkhpnakcndndgjdbohmhepckk";}

        # # Adblock Plus
        # {id = "cfhdojbkjhnklbpkdaibdccddilifddb";}

        # Cookie Notice Blocker
        {id = "odhmfmnoejhihkmfebnolljiibpnednn";}
        # i don't care about cookies
        {id = "fihnjjcciajhdojfnbdddfaoknhalnja";}

        # NopeCHA
        {id = "dknlfmjaanfblgfdfebhijalfmhmjjjo";}

        # h264ify
        {id = "aleakchihdccplidncghkekgioiakgal";}

        # clippy
        # {id = "honbeilkanbghjimjoniipnnehlmhggk"}

        {
          id = "dcpihecpambacapedldabdbpakmachpb";
          updateUrl = "https://raw.githubusercontent.com/iamadamdev/bypass-paywalls-chrome/master/updates.xml";
        }
      ]
      ++ (lib.lists.optionals ((builtins.match "^steveej.*" name) != null) [
        # Vimium C
        {id = "hfjbmagddngcpeloejdejnfgbamkjaeg";}
      ]);
  };

  programs.brave = {enable = true;};

  programs.browserpass = {browsers = ["chromium" "brave"];};
}
